<template>
    <div>
        <section class="section">
        <form @submit="addToDoItem">
            <div class="columns is-mobile is-1 is-variable">
                <div class="column is-three-quarters">
                    <div class="field">
                        <div class="control">
                            <input type="text" v-model="title" class="input is-primary" name="title"
                                   placeholder="Add Todo....">
                        </div>
                    </div>
                </div>
                <div class="column is-one-quarter">
                    <div class="buttons">
                        <button class="button is-primary is-fullwidth" type="submit" value="Add">Add</button>
                    </div>
                </div>
            </div>
        </form>
        </section>
    </div>
</template>

<script>

    export default {
        name: "AddToDo",
        data() {
            return {
                title: ''
            }
        },
        methods: {
            addToDoItem(e) {
                e.preventDefault();
                const newToDo = {
                    title: this.title,
                    is_complete: 0
                };
                this.$emit('add-todo', newToDo);
                this.title = '';
            }
        }
    }
</script>